﻿@model IEnumerable<MIMS.Portal.ViewModels.BankAccount.BankAccountViewModel>
@using MIMS.Portal.Commons.Extensions;



<div class="table-responsive">
    <table class="table table-hover header-border text-nowrap">
        <thead>
            <tr>
                <th>@Html.DisplayNameFor(model => model.BankId)</th>
                <th>@Html.DisplayNameFor(model => model.BankBranchCode)</th>
                <th>@Html.DisplayNameFor(model => model.AccountNumber)</th>
                <th>@Html.DisplayNameFor(model => model.AccountIban)</th>
                <th>@Html.DisplayNameFor(model => model.AccountHolderFullName)</th>
                <th>@Html.DisplayNameFor(model => model.Status)</th>
                <th>@Html.DisplayNameFor(model => model.ReviewComment)</th>
                <th>@Html.DisplayNameFor(model => model.CreatedDate)</th>
                <th><em class="fa fa-cog"></em></th>
            </tr>
        </thead>
        <tbody>
            @foreach (var item in Model)
            {
                <tr>
                    <td>@item.BankName</td>
                    <td>@item.BankBranchCode</td>
                    <td>@item.AccountNumber</td>
                    <td>@item.AccountIban</td>
                    <td>@item.AccountHolderFullName</td>
                    <td>
                        @{
                            var statusColor = "default";

                            if (item.Status == MIMS.Portal.ValueObjects.Enum.ReviewStatus.Unknown || item.Status == MIMS.Portal.ValueObjects.Enum.ReviewStatus.Pending)
                                statusColor = "warning";

                            if (item.Status == MIMS.Portal.ValueObjects.Enum.ReviewStatus.PreApproved)
                                statusColor = "info";

                            if (item.Status == MIMS.Portal.ValueObjects.Enum.ReviewStatus.Approved)
                                statusColor = "success";

                            if (item.Status == MIMS.Portal.ValueObjects.Enum.ReviewStatus.Rejected)
                                statusColor = "danger";
                        }

                        <i class="fa fa-circle-o text-@statusColor ml-0"></i> @Html.DisplayFor(modelItem => item.Status)
                    </td>
                    <td>@item.ReviewComment</td>
                    <td><span dir="ltr">@item.CreatedDate.ToPeString()</span></td>
                    <td>
                        <a asp-action="Details" asp-controller="BankAccounts" asp-route-id="@item.Id" class="btn btn-secondary fa fa-fw fa-eye" data-toggle="tooltip" title="جزئیات"></a>
                        <a asp-action="Edit" asp-controller="BankAccounts" asp-route-id="@item.Id" class="btn btn-info fa fa-fw fa-edit" data-toggle="tooltip" title="ویرایش"></a>
                        <a asp-action="Delete" asp-controller="BankAccounts" asp-route-id="@item.Id" class="btn btn-danger fa fa-fw fa-trash" data-toggle="tooltip" title="حذف"></a>
                        <a asp-action="Review" asp-controller="BankAccounts" asp-route-id="@item.Id" class="btn btn-secondary fa fa-fw fa-check-circle" data-toggle="tooltip" title="تایید اطلاعات"></a>

                    </td>
                </tr>
            }

        </tbody>
    </table>
</div>